Bug 250312 - Selecting a different cert while running rhn_register GUI results in generating a new back up copy of the original cert every time a wrong cert is selected.
Selecting a different cert while running rhn_register GUI results in generati...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 15:20 EDT by Preethi Thomas
Modified: 2009-09-02 07:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:21:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2007-07-31 15:20:49 EDT
Description of problem:
Selecting a different cert while running rhn_register GUI results in generating
a new back up copy of the original cert every time a wrong cert is selected.

Version-Release number of selected component (if applicable):

rhn-client-tools-0.4.16-1.el5

How reproducible:
always

Steps to Reproduce:
1. run rhn_register gui by pointing the serverURL to a satellite.
2. Select a different file for the cert. (I chose RHNS-CA-CERT for satellite)
3.Click Forward.
4. The error message is displyed saying that you don't have the correct cert.
5. Now go to /usr/share/rhn and notice that
RHNS-CA-CERT.RHN-ORG-TRUSTED-SSL-CERT.save1 is created.
6. Each time you select the wrong cert, back up certs are automatically created
with .save2, save3 etc
  
Actual results:


Expected results:


Additional info:
Comment 1 Red Hat Bugzilla 2007-10-25 20:53:09 EDT
User jslagle@redhat.com's account has been closed
Comment 7 Garik Khachikyan 2009-07-22 06:29:27 EDT
# VERIFIED

Checked the registration options (GUI, TUI, rhnreg_ks) with a wrong certificate provided: in all cases no backup files are preparing.

Checked systems: RHEL5.4-Server-20090715.0 on archs: i386, x86_64, ia64, s390x

rhn-client-tools-0.4.20-8.el5
Comment 9 errata-xmlrpc 2009-09-02 07:21:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1354.html

Note You need to log in before you can comment on or make changes to this bug.